# pandas.Series.to_frame

`Series.``to_frame`(name=None)

  Convert Series to DataFrame.

  Parameters:

  name : object, default None

  > The passed name should substitute for the series name (if it has one).

  Returns:

  DataFrame

  > DataFrame representation of Series.

  Examples

      >>> s = pd.Series(["a", "b", "c"],
      ...               name="vals")
      >>> s.to_frame()
        vals
      0    a
      1    b
      2    c

Scroll To Top